package org.fuseri.model.dto.course;

import lombok.Getter;
import lombok.Setter;
import org.fuseri.model.dto.common.DomainObjectDto;

/**
 * This class represents a Data Transfer Object (DTO) for Course entities.
 * It is used to transfer Course data between different layers of the application.
 * It extends the DomainObjectDto class and includes additional Course-specific fields.
 */
@Getter
@Setter
public class CourseDto extends DomainObjectDto {

    /**
     * The name of the course.
     */
    private String name;

    /**
     * The capacity of the course.
     */
    private Integer capacity;

    /**
     * The LanguageTypeDto representing the language of the course.
     */
    private LanguageTypeDto languageTypeDto;

    /**
     * The ProficiencyLevelDto representing the proficiency level required for the course.
     */
    private ProficiencyLevelDto proficiencyLevelDto;
}
