package org.fuseri.modulelanguageschool.course;

import org.fuseri.model.dto.common.Result;
import org.fuseri.model.dto.course.CourseDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/courses")
public class CourseController {

    private final CourseService service;
    private final CourseMapper mapper;

    @Autowired
    public CourseController(CourseService service, CourseMapper mapper) {
        this.service = service;
        this.mapper = mapper;
    }

    @GetMapping("/{id}")
    public CourseDto find(@PathVariable String id) {
        return mapper.toDto(service.find(id));
    }

    @PostMapping
    public CourseDto create(@RequestBody CourseDto dto) {
        return mapper.toDto(service.create(mapper.fromCreateDto(dto)));
    }

    @GetMapping
    public Result<CourseDto> findAll(@RequestParam int page) {
        return mapper.toResult(service.findAll(page));
    }
}
